Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.2.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.benchmark.impl
Class FreemarkerXmlPlannerBenchmarkFactory

    java.lang.Object
      org.optaplanner.benchmark.api.PlannerBenchmarkFactory
          org.optaplanner.benchmark.impl.FreemarkerXmlPlannerBenchmarkFactory

    public class FreemarkerXmlPlannerBenchmarkFactory

extends PlannerBenchmarkFactory

See Also:
  `PlannerBenchmarkFactory`

Constructor Summary
`FreemarkerXmlPlannerBenchmarkFactory()`

Method Summary
`PlannerBenchmark` | `buildPlannerBenchmark()` Creates a new `PlannerBenchmark` instance.
`FreemarkerXmlPlannerBenchmarkFactory` | `configure(File templateFile)`
`FreemarkerXmlPlannerBenchmarkFactory` | `configure(File templateFile, Object model)`
`FreemarkerXmlPlannerBenchmarkFactory` | `configure(InputStream templateIn)`
`FreemarkerXmlPlannerBenchmarkFactory` | `configure(InputStream templateIn, Object model)`
`FreemarkerXmlPlannerBenchmarkFactory` | `configure(Reader templateReader)`
`FreemarkerXmlPlannerBenchmarkFactory` | `configure(Reader templateReader, Object model)`
`FreemarkerXmlPlannerBenchmarkFactory` | `configure(String templateResource)`
`FreemarkerXmlPlannerBenchmarkFactory` | `configure(String templateResource, Object model)`
`FreemarkerXmlPlannerBenchmarkFactory` | `configure(freemarker.template.Template template)`
`FreemarkerXmlPlannerBenchmarkFactory` | `configure(freemarker.template.Template template, Object model)`
`PlannerBenchmarkConfig` | `getPlannerBenchmarkConfig()` Allows you to problematically change the `PlannerBenchmarkConfig` at runtime before building the `PlannerBenchmark`.

Methods inherited from class org.optaplanner.benchmark.api.PlannerBenchmarkFactory
`createFromFreemarkerXmlFile, createFromFreemarkerXmlFile, createFromFreemarkerXmlInputStream, createFromFreemarkerXmlInputStream, createFromFreemarkerXmlReader, createFromFreemarkerXmlReader, createFromFreemarkerXmlResource, createFromFreemarkerXmlResource, createFromXmlFile, createFromXmlInputStream, createFromXmlReader, createFromXmlResource`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FreemarkerXmlPlannerBenchmarkFactory

    public FreemarkerXmlPlannerBenchmarkFactory()

Method Detail

### configure

    public FreemarkerXmlPlannerBenchmarkFactory configure(String templateResource)

  Parameters:
    `templateResource` - never null, a classpath resource as defined by `ClassLoader.getResource(String)`
  Returns:
    this

### configure

    public FreemarkerXmlPlannerBenchmarkFactory configure(String templateResource,
                                                          Object model)

  Parameters:
    `templateResource` - never null, a classpath resource as defined by `ClassLoader.getResource(String)`
    `model` - sometimes null
  Returns:
    this

### configure

    public FreemarkerXmlPlannerBenchmarkFactory configure(File templateFile)

### configure

    public FreemarkerXmlPlannerBenchmarkFactory configure(File templateFile,
                                                          Object model)

### configure

    public FreemarkerXmlPlannerBenchmarkFactory configure(InputStream templateIn)

### configure

    public FreemarkerXmlPlannerBenchmarkFactory configure(InputStream templateIn,
                                                          Object model)

### configure

    public FreemarkerXmlPlannerBenchmarkFactory configure(Reader templateReader)

### configure

    public FreemarkerXmlPlannerBenchmarkFactory configure(Reader templateReader,
                                                          Object model)

### configure

    public FreemarkerXmlPlannerBenchmarkFactory configure(freemarker.template.Template template)

### configure

    public FreemarkerXmlPlannerBenchmarkFactory configure(freemarker.template.Template template,
                                                          Object model)

### getPlannerBenchmarkConfig

    public PlannerBenchmarkConfig getPlannerBenchmarkConfig()

  Description copied from class: `PlannerBenchmarkFactory`
  Allows you to problematically change the `PlannerBenchmarkConfig` at runtime before building the `PlannerBenchmark`.

  Specified by:
    `getPlannerBenchmarkConfig` in class `PlannerBenchmarkFactory`
  Returns:
    never null

### buildPlannerBenchmark

    public PlannerBenchmark buildPlannerBenchmark()

  Description copied from class: `PlannerBenchmarkFactory`
  Creates a new `PlannerBenchmark` instance.

  Specified by:
    `buildPlannerBenchmark` in class `PlannerBenchmarkFactory`
  Returns:
    never null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.2.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2014 JBoss by Red Hat. All Rights Reserved.